Subject: Re: [PATCH v21 01/23] cxl/mem: refactor memdev allocation

From: Jonathan Cameron <[email-masked]>
Date: Fri, 21 Nov 2025 12:06:56 +0000

On Thu, 20 Nov 2025 18:27:50 +0000
Alejandro Lucero Palau <[email-masked]> wrote:

> On 11/20/25 18:08, Jonathan Cameron wrote:
> > On Wed, 19 Nov 2025 19:22:14 +0000
> > [email-masked] wrote:
> >  
> >> From: Alejandro Lucero <[email-masked]>
> >>
> >> In preparation for always-synchronous memdev attach, refactor memdev
> >> allocation and fix release bug in devm_cxl_add_memdev() when error after
> >> a successful allocation.
> >>
> >> The diff is busy as this moves cxl_memdev_alloc() down below the definition
> >> of cxl_memdev_fops and introduces devm_cxl_memdev_add_or_reset() to
> >> preclude needing to export more symbols from the cxl_core.
> >>
> >> Fixes: 1c3333a28d45 ("cxl/mem: Do not rely on device_add() side effects for dev_set_name() failures")
> >>  
> > No line break here. Fixes is part of the tag block and some tools
> > get grumpy if that isn't contiguous.  That includes a bot that runs
> > on linux-next.
> >  
> 
> OK
> 
> 
> >> Signed-off-by: Dan Williams <[email-masked]>
> >> Signed-off-by: Alejandro Lucero <[email-masked]>  
> > This SOB chain is wrong.  What was Dan's role in this?  As first SOB with no
> > Co-developed tag he would normally also be the author (From above)  
> 
> 
> The original patch is Dan's work. I did change it.
> 
> 
>  From the previous revision I asked what I should do and if adding my 
> Signed-off to Dan's one would be enough. Dave's answer was a yes.
> 
> Someone, likely I, misunderstood something in that exchange.
> 
> 
> I did add my Signed-off to the patches 1 to 4 along with Dan's ones, 
> what I think it was suggested by Dave as well in another review.
> 
> 
> Please, tell me what should I do here.

Change the author to Dan.  IIRC

git commit --amend --author="Dan Williams <[email-masked]>"

should do that for you

Then author and first SoB will be Dan and you will be noting you 'handled'
the patch. Feel free to add a comment # Changed XYZ
to your SoB - or if appropriate a co-developed-by for yourself.

> 
> 
> Thank you
> 
> 
> >
> > I'm out of time for today so will leave review for another time. Just flagging
> > that without these tag chains being correct Dave can't pick this up even
> > if everything else is good.
> >  
> 
>